Subject: Re: [Crisp] last call draft-ietf-crisp-iris-areg-11.txt

From: Andrew Newton <[email-masked]>
Date: Fri, 10 Jun 2005 15:14:09 -0400

On May 27, 2005, at 12:57 PM, April Marine wrote:

> WGLC will last till, oh, June 10.

Just in the nick of time...

Cathy Murphy and I have had a brief email exchange regarding  
inconsistencies between the areg xml schema and the descriptive  
text... basically small changes editorial changes.  However, she did  
raise one issue that I think is substantive:

> On Fri, 10 Jun 2005, Andrew Newton wrote:
>
>>
>>
>>> 3.1.10 - Why wasn't country code included as one of the common  
>>> search group elements? I thought it was supposed to be  
>>> searchable. *shrug* Just trying to make sure it wasn't an oversight.
>>>
>>
>> The thinking is that asking for all contacts in a specific country  
>> yields a result set so huge that it is probably useless... unless  
>> somebody is mining your data.
>>
>
> I suppose I was thinking more of an Org select by country code. It  
> is not an infrequent request on NANOG to ask for all the ISPs in a  
> particular region. In Africa or Asia where the countries are not  
> always as well developed, this might mean looking within a country  
> versus a city. However, we could always informally allow this in  
> our implementation. There is nothing that says it has to be in the  
> protocol.

We should probably add country.  For cases where it is inappropriate,  
an error can be returned.

-andy

_______________________________________________
Crisp mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/crisp

---

From: April Marine <[email-masked]>
Date: Fri, 10 Jun 2005 16:51:00 -0700 (PDT)

We can extend our timeline a day or two to allow for comments on this 
topic only. Thanks for the feedback given--some useful modifications came 
out of it!

April

On Fri, 10 Jun 2005, Andrew Newton wrote:

> Cathy Murphy and I have had a brief email exchange regarding inconsistencies 
> between the areg xml schema and the descriptive text... basically small 
> changes editorial changes.  However, she did raise one issue that I think is 
> substantive:
>
>>>> 3.1.10 - Why wasn't country code included as one of the common search 
>>>> group elements? I thought it was supposed to be searchable. *shrug* Just 
>>>> trying to make sure it wasn't an oversight.
>>>> 
>>> 
>>> The thinking is that asking for all contacts in a specific country yields 
>>> a result set so huge that it is probably useless... unless somebody is 
>>> mining your data.
>>> 
>> 
>> I suppose I was thinking more of an Org select by country code. It is not 
>> an infrequent request on NANOG to ask for all the ISPs in a particular 
>> region. In Africa or Asia where the countries are not always as well 
>> developed, this might mean looking within a country versus a city. However, 
>> we could always informally allow this in our implementation. There is 
>> nothing that says it has to be in the protocol.
>
> We should probably add country.  For cases where it is inappropriate, an 
> error can be returned.
>
> -andy
>